# Uses of Class
org.bukkit.util.noise.PerlinNoiseGenerator

Packages that use PerlinNoiseGenerator
Package
Description
org.bukkit.util.noise
Classes dedicated to facilitating deterministic noise.

## Uses of PerlinNoiseGenerator in org.bukkit.util.noise

Subclasses of PerlinNoiseGenerator in org.bukkit.util.noise
Modifier and Type
Class
Description
`class`
`SimplexNoiseGenerator`
Generates simplex-based noise.
Methods in org.bukkit.util.noise that return PerlinNoiseGenerator
Modifier and Type
Method
Description
`static @NotNull PerlinNoiseGenerator`
PerlinNoiseGenerator.`getInstance()`
Gets the singleton unseeded instance of this generator